Difference between revisions of "Draft Facebinder"

From FreeCAD Documentation
Jump to: navigation, search
m (Docnav)
 
(36 intermediate revisions by 5 users not shown)
Line 1: Line 1:
{{GuiCommand|Name=Draft_Facebinder|Workbenches=[[Draft Module/it|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Facebinder|Shortcut=F F}}
+
<languages/>
 +
<translate>
 +
<!--T:21-->
 +
{{Docnav|[[Draft_ShapeString|ShapeString]]|[[Draft_BezCurve|Bezier Curve]]|[[Draft_Module|Draft]]|IconL=Draft_ShapeString.svg |IconC=Workbench_Draft.svg|IconR=Draft_BezCurve.svg }}
  
{{Template:UnfinishedDocu}}
+
<!--T:1-->
==Description==
+
{{GuiCommand
It's a very simple object that is constructed from selected faces of other objects. It is of course parametric, you can modify the original object and the facebinder object updates accordingly. It can then be used for example for making an extrusion.
+
|Name=Draft Facebinder
 +
|MenuLocation=Draft → Facebinder
 +
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
 +
|Shortcut=F F
 +
|SeeAlso=[[Part Box]], [[Arch Wall]]
 +
|Version=0.14
 +
}}
  
[[File:Facebinder_it.png|left]]
+
==Description== <!--T:2-->
{{clear}}
+
 
==How to use==
+
<!--T:3-->
# Select faces on objects (with CTRL)
+
The Facebinder tool creates a surface object from the selected faces of a solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.
# Press the {{KEY|Facebinder}}button, or press {{KEY|F}}, {{KEY|F}} keys
+
 
# You can move the facebinder around, everything stays linked.  
+
<!--T:12-->
{{clear}}
+
It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.
==Properties==
+
 
 +
</translate>
 +
[[Image:Draft facebinder example.jpg|400px]]
 +
<translate>
 +
<!--T:13-->
 +
{{Caption|Facebinder created from the faces of solid walls}}
 +
 
 +
==How to use== <!--T:4-->
 +
 
 +
<!--T:5-->
 +
# Pick one face, or hold {{KEY|Ctrl}} and pick several faces, from solid objects.
 +
# Press the {{Button|[[Image:Draft_Facebinder.png|16px]] [[Draft_Facebinder|Facebinder]]}} button, or press {{KEY|F}} then {{KEY|F}} keys.
 +
 
 +
<!--T:14-->
 +
The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.
 +
* To add a face, click on a face of a solid object in the 3D view, and then click on the {{Button|[[Image:Arch_Add.svg|16px]] Add}} button.
 +
* To remove a face, select one of the sub-elements in the list, and then click on the {{Button|[[Image:Arch_Remove.svg|16px]] Remove}} button.
 +
* Press {{KEY|Esc}} or the {{Button|OK}} button to complete the edition.
 +
 
 +
== Options == <!--T:15-->
 +
This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.
 +
 
 +
== Properties == <!--T:16-->
 +
=== Data ===
 +
* {{PropertyData|Extrusion}}: specifies an extrusion thickness to apply to all faces of the shape.
 +
* {{PropertyData|Remove Splitter}}: if it is {{TRUE}} it tries to fuse the internal intersections of the Facebinder when it extruded.
 +
* {{PropertyData|Sew}}: if it is {{TRUE}} it tries to perform a topological sewing operation on the Facebinder when it extruded.
 +
 
 +
=== View === <!--T:17-->
 +
* {{PropertyView|Pattern}}: specifies a [[Draft Pattern]] with which to fill the face of the shape. This property only works if {{PropertyView|Display Mode}} is "Flat Lines".
 +
* {{PropertyView|Pattern Size}}: specifies the size of the [[Draft Pattern]].
 +
 
 +
==Scripting== <!--T:6-->
 +
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
 +
 
 +
<!--T:7-->
 +
The Facebinder tool can be used in [[macros]] and from the [[Python]] console by using the following function:
 +
</translate>
 +
{{Code|code=
 +
Facebinder = makeFacebinder(selectionset, name="Facebinder")
 +
}}
 +
<translate>
 +
<!--T:8-->
 +
* Creates a {{incode|Facebinder}} object from the given {{incode|selectionset}}, which is a list of {{incode|SelectionObject}}s such as those returned by {{incode|FreeCADGui.Selection.getSelectionEx()}}.
 +
* Only selected faces are taken into account.
 +
 
 +
<!--T:18-->
 +
The thickness of the ShapeString can be added by overwriting its {{incode|Extrusion}} attribute; the value is entered in millimeters.
 +
 
 +
<!--T:19-->
 +
The placement of the ShapeString can be changed by overwriting its {{incode|Placement}} attribute, or by individually overwriting its {{incode|Placement.Base}} and {{incode|Placement.Rotation}} attributes.
 +
 
 +
<!--T:9-->
 +
Example:
 +
</translate>
 +
{{Code|code=
 +
import FreeCAD, FreeCADGui, Draft
 +
 
 +
# Insert a solid box
 +
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
 +
Box.Length = 2300
 +
Box.Width = 800
 +
Box.Height = 1000
  
===Data===
+
# Pick any two side faces, and then
====Base====
+
selection = FreeCADGui.Selection.getSelectionEx()
* {{PropertyData|Label}}: nome
+
Facebinder = Draft.makeFacebinder(selection)
* {{PropertyData|Placement}}: [[Placement|placement]]
+
Facebinder.Extrusion = 50
** {{PropertyData|Angle}}:
+
FreeCAD.ActiveDocument.recompute()
** {{PropertyData|Axis}}:
 
** {{PropertyData|Position}}:
 
  
====Draft====
+
Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
{{clear}}
+
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
==Limitations==
+
}}
*  Not available in v0.13. See [http://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=9&t=4709 Draft Facebeinder] nel forum.
+
<translate>
  
 +
<!--T:20-->
 +
{{Docnav|[[Draft_ShapeString|ShapeString]]|[[Draft_BezCurve|Bezier Curve]]|[[Draft_Module|Draft]]|IconL=Draft_ShapeString.svg |IconC=Workbench_Draft.svg|IconR=Draft_BezCurve.svg }}
  
 +
<!--T:22-->
 +
{{Draft Tools navi}}
  
{{languages |  {{fr|Draft_Facebinder/fr}} {{it|Draft_Facebinder/it}} }}
+
<!--T:23-->
 +
{{Userdocnavi}}
 +
</translate>
 +
{{clear}}

Latest revision as of 21:55, 11 February 2019

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString

Draft Facebinder.svg Draft Facebinder

Menu location
Draft → Facebinder
Workbenches
Draft, Arch
Default shortcut
F F
Introduced in version
0.14
See also
Part Box, Arch Wall


Description

The Facebinder tool creates a surface object from the selected faces of a solid object. It is parametric, meaning that if you modify the original object, the Facebinder updates accordingly. If you move and rotate the Facebinder, it will stay linked to the original faces.

It can be used to create an extrusion from a collection of faces from other objects. A typical use is in architectural design to build an object that covers several walls, for example, a wall paper, or wall finish.

Draft facebinder example.jpg

Facebinder created from the faces of solid walls


How to use

  1. Pick one face, or hold Ctrl and pick several faces, from solid objects.
  2. Press the Draft Facebinder.png Facebinder button, or press F then F keys.

The Facebinder can be edited by double clicking on the element in the tree view. Then you can change the faces that are part of the object.

  • To add a face, click on a face of a solid object in the 3D view, and then click on the Arch Add.svg Add button.
  • To remove a face, select one of the sub-elements in the list, and then click on the Arch Remove.svg Remove button.
  • Press Esc or the OK button to complete the edition.

Options

This object has no options when it's being created. Only selected faces will be used to create the Facebinder object.

Properties

Data

  • DATAExtrusion: specifies an extrusion thickness to apply to all faces of the shape.
  • DATARemove Splitter: if it is True it tries to fuse the internal intersections of the Facebinder when it extruded.
  • DATASew: if it is True it tries to perform a topological sewing operation on the Facebinder when it extruded.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the shape. This property only works if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Facebinder tool can be used in macros and from the Python console by using the following function:

Facebinder = makeFacebinder(selectionset, name="Facebinder")
  • Creates a Facebinder object from the given selectionset, which is a list of SelectionObjects such as those returned by FreeCADGui.Selection.getSelectionEx().
  • Only selected faces are taken into account.

The thickness of the ShapeString can be added by overwriting its Extrusion attribute; the value is entered in millimeters.

The placement of the ShapeString can be changed by overwriting its Placement attribute, or by individually overwriting its Placement.Base and Placement.Rotation attributes.

Example:

import FreeCAD, FreeCADGui, Draft

# Insert a solid box
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 2300
Box.Width = 800
Box.Height = 1000

# Pick any two side faces, and then
selection = FreeCADGui.Selection.getSelectionEx()
Facebinder = Draft.makeFacebinder(selection)
Facebinder.Extrusion = 50
FreeCAD.ActiveDocument.recompute()

Facebinder.Placement.Base = FreeCAD.Vector(1000, -1000, 100)
Facebinder.ViewObject.ShapeColor = (0.99, 0.99, 0.4)
Arrow-left.svg Previous: Draft ShapeString.svg ShapeString